/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_DIALOGEVENT_H
#define _SC_DIALOGEVENT_H

// sc
#include "CustomEvents.h"
class DialogHandler;

// qt
#include <QtCore/QEvent>


class DialogEvent : public QCustomEvent
{
public:
  DialogEvent( DialogHandler* h ) : QCustomEvent(ScDialogEvent),
    _handler(h)
  {
  }

  DialogHandler* getHandler() const
  {
    return _handler;
  }

private:
  DialogHandler* _handler;
};


#endif //_SC_DIALOGEVENT_H
